// ===================================================================
// Copyright (c) 1997, All rights reserved, by Micheal Hewett
//
// This software is free for educational and non-profit use.
// Any for-profit use must be governed by a license available
// from the author, who can be contacted via email at 
// "hewett@cs.stanford.edu"
//
// ===================================================================
//
//  AlgyFacet.java  - A Frame class to represent Algernon facets.
//
//  20 Feb 1997
//
// -------------------------------------------------------------------

package amaze.algy;

import java.io.*;

import lib.dynatype.*;

/**
 * An AlgyFacet is a symbol that represents a Facet in
 * the Algernon world.  The differentiation is needed
 * to distinguish between regular symbols and those
 * that represent frames, Facets and rules.
 *
 * @see lib.dynatype.LispSymbol
 * @see AlgyFrame
 * @see AlgySlot
 * @see AlgyRule
 * @author  Micheal S. Hewett    hewett@cs.utexas.edu
 * @date    Thu Feb 20 15:17:39 1997
 * @version 1.0
 *
 */
public class AlgyFacet extends AlgyFrame
{
  /**
   * Send in a String or LispString and get back an AlgyFacet
   * This method does <b>not</b> intern the symbol.
   * @see lib.dynatype.LispSymbol#LispSymbol
   * @author  Micheal S. Hewett    hewett@cs.utexas.edu
   * @date    Thu Feb 20 15:17:39 1997
   * @version 1.0
   * 
   */
  public AlgyFacet(String facetName)
  {
    super(facetName);
  }

  public AlgyFacet(LispString facetNameString)
  {
    super(facetNameString);
  }


  // Do AlgyFacets have any different behavior than symbols?

}

